import { Logger } from '@kevisual/logger';
const level = process.env.LOG_LEVEL || 'info';
export const logger = new Logger({ level: level as any });

export const console = {
  log: logger.info,
  error: logger.error,
  warn: logger.warn,
  info: logger.info,
  debug: logger.debug,
};

export const logError = (message: string, data?: any) => logger.error(data, message);
export const logWarning = (message: string, data?: any) => logger.warn(data, message);
export const logInfo = (message: string, data?: any) => logger.info(data, message);
export const logDebug = (message: string, data?: any) => logger.debug(data, message);

export const log = {
  log: logInfo,
  error: logError,
  warn: logWarning,
  info: logInfo,
  debug: logDebug,
};
